Vraag PeerGuardian-installatie (E: kan pakket niet vinden)


De instructies op hun wiki volgen (http://sourceforge.net/p/peerguardian/wiki/pgl-Install-DebianUbuntu/), Kom ik deze fout tegen dat het geen van de te installeren PG-programma's kan vinden. Wat doe ik fout, hoe installeer ik PeerGuardian?

odroid@odroid:~$ sudo add-apt-repository ppa:jre-phoenix/ppa
[sudo] password for odroid: 
 This PPA provides offical packages of PeerGuardian Linux (pgl) for all supported Ubuntu series. This archive enhances http://moblock-deb.sourceforge.net, where I offer Debian packages for the current Debian series.

PeerGuardian Linux (pgl) is a privacy oriented firewall application. It blocks connections to and from hosts specified in huge blocklists (thousands or millions of IP ranges). Its origin seeds in targeting aggressive IPs while you use P2P. PeerGuardian Linux is actively developed. However the team is very small and with few spare time. Contributors are welcome! Check out http://peerguardian.sourceforge.net.

For Ubuntu hardy you will find the precessors of pgl here: nfblock/moblock, blockcontrol and mobloquer. They aren't developed any more.
 More info: https://launchpad.net/~jre-phoenix/+archive/ubuntu/ppa
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: keyring `/tmp/tmp023hq837/secring.gpg' created
gpg: keyring `/tmp/tmp023hq837/pubring.gpg' created
gpg: requesting key 9C0042C8 from hkp server keyserver.ubuntu.com
gpg: /tmp/tmp023hq837/trustdb.gpg: trustdb created
gpg: key 9C0042C8: public key "Launchpad PPA for jre-phoenix" imported
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
OK
odroid@odroid:~$ sudo apt-get update
Hit http://deb.odroid.in trusty InRelease
Hit http://deb.odroid.in trusty InRelease                                      
Ign http://ppa.launchpad.net trusty InRelease                                  
Hit http://deb.odroid.in trusty/main armhf Packages                            
Ign http://ports.ubuntu.com trusty InRelease                         
Ign http://ppa.launchpad.net trusty InRelease                                  
Ign http://ports.ubuntu.com trusty-updates InRelease                  
Ign http://ppa.launchpad.net trusty InRelease                         
Ign http://ports.ubuntu.com trusty-backports InRelease                
Hit http://deb.odroid.in trusty/main armhf Packages                   
Ign http://ports.ubuntu.com trusty-security InRelease                          
Ign http://ppa.launchpad.net trusty InRelease                         
Hit http://ports.ubuntu.com trusty Release.gpg                        
Ign http://ppa.launchpad.net trusty InRelease                         
Hit http://ports.ubuntu.com trusty-updates Release.gpg                
Hit http://ppa.launchpad.net trusty Release.gpg                       
Hit http://ports.ubuntu.com trusty-backports Release.gpg              
Hit http://ppa.launchpad.net trusty Release.gpg                       
Hit http://ports.ubuntu.com trusty-security Release.gpg               
Hit http://ppa.launchpad.net trusty Release.gpg                       
Hit http://ports.ubuntu.com trusty Release                            
Hit http://ppa.launchpad.net trusty Release.gpg                                
Hit http://ports.ubuntu.com trusty-updates Release                    
Hit http://ports.ubuntu.com trusty-backports Release                           
Hit http://ppa.launchpad.net trusty Release.gpg                                
Hit http://ports.ubuntu.com trusty-security Release                            
Hit http://ppa.launchpad.net trusty Release                                    
Hit http://ports.ubuntu.com trusty/main Sources                                
Ign http://deb.odroid.in trusty/main Translation-en_US                         
Hit http://ppa.launchpad.net trusty Release                                    
Ign http://deb.odroid.in trusty/main Translation-en                            
Hit http://ports.ubuntu.com trusty/restricted Sources                          
Ign http://deb.odroid.in trusty/main Translation-en_AU             
Hit http://ppa.launchpad.net trusty Release                        
Ign http://deb.odroid.in trusty/main Translation-en_US             
Hit http://ports.ubuntu.com trusty/universe Sources                            
Ign http://deb.odroid.in trusty/main Translation-en                            
Ign http://deb.odroid.in trusty/main Translation-en_AU             
Hit http://ppa.launchpad.net trusty Release                        
Hit http://ports.ubuntu.com trusty/main armhf Packages                         
Hit http://ports.ubuntu.com trusty/restricted armhf Packages                   
Hit http://ppa.launchpad.net trusty Release                        
Hit http://ports.ubuntu.com trusty/universe armhf Packages                     
Hit http://ppa.launchpad.net trusty/main armhf Packages            
Hit http://ports.ubuntu.com trusty/main Translation-en
Hit http://ports.ubuntu.com trusty/main Translation-en_AU          
Hit http://ports.ubuntu.com trusty/restricted Translation-en      
Hit http://ppa.launchpad.net trusty/main Sources                  
Hit http://ports.ubuntu.com trusty/restricted Translation-en_AU   
Hit http://ppa.launchpad.net trusty/main armhf Packages           
Hit http://ppa.launchpad.net trusty/main Translation-en           
Hit http://ports.ubuntu.com trusty/universe Translation-en
Hit http://ports.ubuntu.com trusty/universe Translation-en_AU     
Hit http://ppa.launchpad.net trusty/main Sources                  
Hit http://ports.ubuntu.com trusty-updates/main Sources           
Hit http://ppa.launchpad.net trusty/main armhf Packages           
Hit http://ports.ubuntu.com trusty-updates/restricted Sources     
Hit http://ppa.launchpad.net trusty/main Translation-en           
Hit http://ports.ubuntu.com trusty-updates/universe Sources       
Hit http://ppa.launchpad.net trusty/main Sources                  
Hit http://ports.ubuntu.com trusty-updates/main armhf Packages    
Hit http://ppa.launchpad.net trusty/main armhf Packages           
Hit http://ports.ubuntu.com trusty-updates/restricted armhf Packages
Hit http://ppa.launchpad.net trusty/main Translation-en           
Hit http://ports.ubuntu.com trusty-updates/universe armhf Packages
Hit http://ppa.launchpad.net trusty/main armhf Packages           
Hit http://ports.ubuntu.com trusty-updates/main Translation-en    
Hit http://ports.ubuntu.com trusty-updates/restricted Translation-en
Hit http://ppa.launchpad.net trusty/main Translation-en           
Hit http://ports.ubuntu.com trusty-updates/universe Translation-en
Hit http://ports.ubuntu.com trusty-backports/main Sources         
Hit http://ports.ubuntu.com trusty-backports/restricted Sources   
Hit http://ports.ubuntu.com trusty-backports/main armhf Packages  
Hit http://ports.ubuntu.com trusty-backports/restricted armhf Packages
Hit http://ports.ubuntu.com trusty-backports/main Translation-en  
Hit http://ports.ubuntu.com trusty-backports/restricted Translation-en
Hit http://ports.ubuntu.com trusty-security/main Sources          
Hit http://ports.ubuntu.com trusty-security/restricted Sources    
Hit http://ports.ubuntu.com trusty-security/universe Sources      
Hit http://ports.ubuntu.com trusty-security/multiverse Sources    
Hit http://ports.ubuntu.com trusty-security/main armhf Packages   
Ign http://ppa.launchpad.net trusty/main Translation-en_US        
Hit http://ports.ubuntu.com trusty-security/restricted armhf Packages
Ign http://ppa.launchpad.net trusty/main Translation-en           
Hit http://ports.ubuntu.com trusty-security/universe armhf Packages
Ign http://ppa.launchpad.net trusty/main Translation-en_AU        
Hit http://ports.ubuntu.com trusty-security/multiverse armhf Packages
Hit http://ports.ubuntu.com trusty-security/main Translation-en
Hit http://ports.ubuntu.com trusty-security/multiverse Translation-en
Hit http://ports.ubuntu.com trusty-security/restricted Translation-en
Hit http://ports.ubuntu.com trusty-security/universe Translation-en            
Ign http://ports.ubuntu.com trusty/main Translation-en_US                      
Ign http://ports.ubuntu.com trusty/restricted Translation-en_US                
Ign http://ports.ubuntu.com trusty/universe Translation-en_US                  
Reading package lists... Done                                                  
odroid@odroid:~$ sudo apt-get install pgld pglcmd pglgui
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package pgld
E: Unable to locate package pglcmd
E: Unable to locate package pglgui

3
2018-01-21 16:20


oorsprong




antwoorden:


[Ik ben de beheerder van genoemde ppa]:

Wanneer Launchpad een bronpakket bouwt in een PPA, worden binaries gemaakt voor i386 (x86) en amd64, maar niet voor arm. (Bron: help.launchpad.net/Packaging/PPA).

Maar er is een mogelijkheid om community-armbuilds aan te vragen (dev.launchpad.net/CommunityARMBuilds), wat ik net deed: https://answers.launchpad.net/launchpad/+question/261099

Dus hopelijk zullen ze snel verschijnen, check gewoon die link.

EDIT 2015-01-25: armhf-pakketten zijn nu beschikbaar voor Vivid, Utopic en Trusty. Andere dists zullen volgen. Stuur me gewoon een e-mail als er nog meer problemen zijn.

Over het algemeen: U kunt het "Packages" -bestand van de ppa voor uw arch controleren om te zien of er pakketten beschikbaar zijn. Bijv. het volgende bestand is leeg (= geen pakketten momenteel voor pgl op arm64): http://ppa.launchpad.net/jre-phoenix/ppa/ubuntu/dists/trusty/main/binary-arm64/Packages

btw het oorspronkelijke antwoord van Oli was fout (nog steeds een grote dank en muru voor de voortdurende deelname aan deze thread): de pakketten worden inderdaad pgld, pglcmd en pglgui genoemd. Dus de opdracht apt-get install was correct. Alleen het bronpakket wordt pgl genoemd.


6
2018-01-22 18:20





Die repo heeft alleen een pgl pakket. Als je naar de pakketbestanden je zult zien dat het binaire bestanden bevat voor al die commando's. Dat is alles wat u hoeft te installeren.

sudo apt-get install pgl

Ik zou ook willen toevoegen dat deze PPA alleen versies verzendt voor lucide-trusty. Als u iets nieuwers gebruikt (bijv. 14.10), zal dit niet werken. Praat met zijn onderhouder.


1
2018-01-21 16:27



odroid@odroid:~$ sudo apt-get install pgl produceert: E: Unable to locate package pgl - Jonathon
Ben je op 14.10? Het heeft alleen versies voor maximaal Ubuntu 14.04. - Oli♦
@ Oli Er zijn verschillende regels die vermelden ports.ubuntu.com - misschien heeft het OP een andere architectuur dan i386/amd64. - muru
Ubuntu 14.04.2 LTS, en het is een soort van ARM processor (maar ik dacht dat het hele punt van een besturingssysteem was om te gaan met hardware-verschillen) ??? - Jonathon
@JonathonWisnoski Het kan omgaan met de verschillen (en meest van de kern Ubuntu-software wordt geporteerd). Dit is geen kernsoftware. Dit zit iets in de repository van iemand anders. Je moet dit voor jezelf compileren, per dit document. (Of smeek de beheerder om de relevante ARM-build toe te voegen). - Oli♦